<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>A4988Driver: a4988Handler Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">A4988Driver
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structa4988_handler-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">a4988Handler Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>this struct saves all the information related to the driver status.  
 <a href="structa4988_handler.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="a4988_8h_source.html">a4988.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ad58bb9d10d11d874bb55865bb8a7ca2a"><td class="memItemLeft" align="right" valign="top">GPIO_TypeDef *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structa4988_handler.html#ad58bb9d10d11d874bb55865bb8a7ca2a">EN_PORT</a></td></tr>
<tr class="memdesc:ad58bb9d10d11d874bb55865bb8a7ca2a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to ENABLE port.  <a href="#ad58bb9d10d11d874bb55865bb8a7ca2a">More...</a><br /></td></tr>
<tr class="separator:ad58bb9d10d11d874bb55865bb8a7ca2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a464ea2ca2566af32ddd2be6c597aa2ad"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structa4988_handler.html#a464ea2ca2566af32ddd2be6c597aa2ad">EN_PIN</a></td></tr>
<tr class="memdesc:a464ea2ca2566af32ddd2be6c597aa2ad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reference to ENABLE pin.  <a href="#a464ea2ca2566af32ddd2be6c597aa2ad">More...</a><br /></td></tr>
<tr class="separator:a464ea2ca2566af32ddd2be6c597aa2ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94941df86d5999aec0219c6bfe4f42b2"><td class="memItemLeft" align="right" valign="top">GPIO_TypeDef *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structa4988_handler.html#a94941df86d5999aec0219c6bfe4f42b2">STEP_PORT</a></td></tr>
<tr class="memdesc:a94941df86d5999aec0219c6bfe4f42b2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to STEP port.  <a href="#a94941df86d5999aec0219c6bfe4f42b2">More...</a><br /></td></tr>
<tr class="separator:a94941df86d5999aec0219c6bfe4f42b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad208d8cc0de2201171b95649d744a2b9"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structa4988_handler.html#ad208d8cc0de2201171b95649d744a2b9">STEP_PIN</a></td></tr>
<tr class="memdesc:ad208d8cc0de2201171b95649d744a2b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to STEP pin.  <a href="#ad208d8cc0de2201171b95649d744a2b9">More...</a><br /></td></tr>
<tr class="separator:ad208d8cc0de2201171b95649d744a2b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6b16cf6efd58235600d7fe073f9f4e3"><td class="memItemLeft" align="right" valign="top">GPIO_TypeDef *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structa4988_handler.html#ad6b16cf6efd58235600d7fe073f9f4e3">DIR_PORT</a></td></tr>
<tr class="memdesc:ad6b16cf6efd58235600d7fe073f9f4e3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to DIR port.  <a href="#ad6b16cf6efd58235600d7fe073f9f4e3">More...</a><br /></td></tr>
<tr class="separator:ad6b16cf6efd58235600d7fe073f9f4e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ae7c243b84a9b7239062b46831d3a2c"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structa4988_handler.html#a8ae7c243b84a9b7239062b46831d3a2c">DIR_PIN</a></td></tr>
<tr class="memdesc:a8ae7c243b84a9b7239062b46831d3a2c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to DIR pin.  <a href="#a8ae7c243b84a9b7239062b46831d3a2c">More...</a><br /></td></tr>
<tr class="separator:a8ae7c243b84a9b7239062b46831d3a2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36a117294bb9f01149cd2b3fb56e3195"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structa4988_handler.html#a36a117294bb9f01149cd2b3fb56e3195">degreeCount</a></td></tr>
<tr class="memdesc:a36a117294bb9f01149cd2b3fb56e3195"><td class="mdescLeft">&#160;</td><td class="mdescRight">Software count of the degrees that the motor has rotated since starting point.  <a href="#a36a117294bb9f01149cd2b3fb56e3195">More...</a><br /></td></tr>
<tr class="separator:a36a117294bb9f01149cd2b3fb56e3195"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64fef8e0e1a8071b1ba817e3d38dc6e9"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structa4988_handler.html#a64fef8e0e1a8071b1ba817e3d38dc6e9">stepsPerTurn</a></td></tr>
<tr class="memdesc:a64fef8e0e1a8071b1ba817e3d38dc6e9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stores how many steps has to be sent in order to spin a turn (withouth microstepping).  <a href="#a64fef8e0e1a8071b1ba817e3d38dc6e9">More...</a><br /></td></tr>
<tr class="separator:a64fef8e0e1a8071b1ba817e3d38dc6e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad51f96267735fd1c81b0bb63530eeb09"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a4988_8h.html#a6086cd48f9d99d3c531787235d509622">driverStatus</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structa4988_handler.html#ad51f96267735fd1c81b0bb63530eeb09">status</a></td></tr>
<tr class="memdesc:ad51f96267735fd1c81b0bb63530eeb09"><td class="mdescLeft">&#160;</td><td class="mdescRight">Status of the motor (ACTIVE, OFF).  <a href="#ad51f96267735fd1c81b0bb63530eeb09">More...</a><br /></td></tr>
<tr class="separator:ad51f96267735fd1c81b0bb63530eeb09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6419d0080b8d90e315600a51cafbd50"><td class="memItemLeft" align="right" valign="top">int64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structa4988_handler.html#aa6419d0080b8d90e315600a51cafbd50">stepsCount</a></td></tr>
<tr class="memdesc:aa6419d0080b8d90e315600a51cafbd50"><td class="mdescLeft">&#160;</td><td class="mdescRight">Software count of how many steps has the motor has move since starting point.  <a href="#aa6419d0080b8d90e315600a51cafbd50">More...</a><br /></td></tr>
<tr class="separator:aa6419d0080b8d90e315600a51cafbd50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af49728ffceff31645ba020df66f2804d"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structa4988_handler.html#af49728ffceff31645ba020df66f2804d">stepDuration</a></td></tr>
<tr class="memdesc:af49728ffceff31645ba020df66f2804d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Duration in us of the motor. This sets the speed of the movement.  <a href="#af49728ffceff31645ba020df66f2804d">More...</a><br /></td></tr>
<tr class="separator:af49728ffceff31645ba020df66f2804d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a389a2f0528c7e35a513aacbc67ea62b6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a4988_8h.html#a26a4a9fc10f890a34859f53d114f08b0">microStep</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structa4988_handler.html#a389a2f0528c7e35a513aacbc67ea62b6">microstp</a></td></tr>
<tr class="memdesc:a389a2f0528c7e35a513aacbc67ea62b6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enumeration that sets how many microsteps are set.  <a href="#a389a2f0528c7e35a513aacbc67ea62b6">More...</a><br /></td></tr>
<tr class="separator:a389a2f0528c7e35a513aacbc67ea62b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>this struct saves all the information related to the driver status. </p>
<p>In order to control multiple drivers, one struct for each of them must be set. Values can be read from the struct or by the functions given. </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="a36a117294bb9f01149cd2b3fb56e3195"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36a117294bb9f01149cd2b3fb56e3195">&#9670;&nbsp;</a></span>degreeCount</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float a4988Handler::degreeCount</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Software count of the degrees that the motor has rotated since starting point. </p>

</div>
</div>
<a id="a8ae7c243b84a9b7239062b46831d3a2c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ae7c243b84a9b7239062b46831d3a2c">&#9670;&nbsp;</a></span>DIR_PIN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t a4988Handler::DIR_PIN</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to DIR pin. </p>

</div>
</div>
<a id="ad6b16cf6efd58235600d7fe073f9f4e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6b16cf6efd58235600d7fe073f9f4e3">&#9670;&nbsp;</a></span>DIR_PORT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GPIO_TypeDef* a4988Handler::DIR_PORT</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to DIR port. </p>

</div>
</div>
<a id="a464ea2ca2566af32ddd2be6c597aa2ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a464ea2ca2566af32ddd2be6c597aa2ad">&#9670;&nbsp;</a></span>EN_PIN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t a4988Handler::EN_PIN</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Reference to ENABLE pin. </p>

</div>
</div>
<a id="ad58bb9d10d11d874bb55865bb8a7ca2a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad58bb9d10d11d874bb55865bb8a7ca2a">&#9670;&nbsp;</a></span>EN_PORT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GPIO_TypeDef* a4988Handler::EN_PORT</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to ENABLE port. </p>

</div>
</div>
<a id="a389a2f0528c7e35a513aacbc67ea62b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a389a2f0528c7e35a513aacbc67ea62b6">&#9670;&nbsp;</a></span>microstp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a4988_8h.html#a26a4a9fc10f890a34859f53d114f08b0">microStep</a> a4988Handler::microstp</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enumeration that sets how many microsteps are set. </p>

</div>
</div>
<a id="ad51f96267735fd1c81b0bb63530eeb09"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad51f96267735fd1c81b0bb63530eeb09">&#9670;&nbsp;</a></span>status</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a4988_8h.html#a6086cd48f9d99d3c531787235d509622">driverStatus</a> a4988Handler::status</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Status of the motor (ACTIVE, OFF). </p>

</div>
</div>
<a id="ad208d8cc0de2201171b95649d744a2b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad208d8cc0de2201171b95649d744a2b9">&#9670;&nbsp;</a></span>STEP_PIN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t a4988Handler::STEP_PIN</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to STEP pin. </p>

</div>
</div>
<a id="a94941df86d5999aec0219c6bfe4f42b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94941df86d5999aec0219c6bfe4f42b2">&#9670;&nbsp;</a></span>STEP_PORT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GPIO_TypeDef* a4988Handler::STEP_PORT</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to STEP port. </p>

</div>
</div>
<a id="af49728ffceff31645ba020df66f2804d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af49728ffceff31645ba020df66f2804d">&#9670;&nbsp;</a></span>stepDuration</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t a4988Handler::stepDuration</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Duration in us of the motor. This sets the speed of the movement. </p>

</div>
</div>
<a id="aa6419d0080b8d90e315600a51cafbd50"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6419d0080b8d90e315600a51cafbd50">&#9670;&nbsp;</a></span>stepsCount</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int64_t a4988Handler::stepsCount</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Software count of how many steps has the motor has move since starting point. </p>

</div>
</div>
<a id="a64fef8e0e1a8071b1ba817e3d38dc6e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64fef8e0e1a8071b1ba817e3d38dc6e9">&#9670;&nbsp;</a></span>stepsPerTurn</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float a4988Handler::stepsPerTurn</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Stores how many steps has to be sent in order to spin a turn (withouth microstepping). </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="a4988_8h_source.html">a4988.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
